-------------[[[[[Test File]]]]]-------------
-------------[[[[[For Project Alpha]]]]]-------------
-------------[[[[[To Debug, check everything is working etc.]]]]]-------------

--Load core engine
dofile("main.lua");

--Load Maps
loadMap("Content/Levels/Level-1/Level1.map");

--Load Collision File
loadCollisionMap("Content/Levels/Level-1/Level1.mapc");

--Create background
if texture == nil then
	texture = pge.texture.create(480, 272, PGE_PIXEL_FORMAT_8888, PGE_VRAM);
else
end

--Get Length & height Of Map
mapX = #map[1];
mapY = #map;

--xtile & ytile starting postitions
local xtile = 1;
local ytile = 2;

--Create enemie objects, checkpoints & coins
createEnemieObjectsCheckPointsAndCoins();

--Create animation tiles objcts info
createAnimTileObjects();

--Create the player object
createPlayerObject( (xtile * tsize), (ytile * tsize), 15, 16, 0, 0, false);

--Make player fall
fall(player);

while pge.running() do
	startMainFunctions();
	checkState("win.lua");
	updateHUD();
	updateScore();
	debugShot();
	endMainFunctions();
end
